#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	22.12.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		rocs
Summary:	rocs
Name:		ka5-%{kaname}
Version:	22.12.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	f167ab1a4d126bbd47af14c58d14cb6b
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Network-devel >= 5.11.1
BuildRequires:	Qt5Qml-devel >= 5.11.1
BuildRequires:	Qt5Quick-devel >= 5.11.1
BuildRequires:	Qt5Script-devel
BuildRequires:	Qt5ScriptTools-devel >= %{qtver}
BuildRequires:	Qt5Svg-devel
BuildRequires:	Qt5Test-devel
BuildRequires:	Qt5WebKit-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	Qt5XmlPatterns-devel
BuildRequires:	boost-devel >= 1.49
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	grantlee-qt5-devel >= 5.0
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-karchive-devel >= %{kframever}
BuildRequires:	kf5-kconfig-devel >= %{kframever}
BuildRequires:	kf5-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf5-kcrash-devel >= %{kframever}
BuildRequires:	kf5-kdeclarative-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kitemviews-devel >= %{kframever}
BuildRequires:	kf5-ktexteditor-devel >= %{kframever}
BuildRequires:	kf5-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rocs is a Graph Theory IDE for everybody interested in designing and
analyzing graph algorithms (e.g., lecturers, students, researchers).
For all these users, Rocs provides an easy to use visual data
structure editor and a powerful scripting engine to execute
algorithms.

Features

- Canvas for Graph Drawing
- IDE for Graph related Programming, using Javascript as it's main
  language, plus the graph library
- Data Structures are extensible from the scripting interface, so you
  can do anything you want.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rocs
%{_libdir}/librocsgraphtheory.so.0
%{_libdir}/qt5/plugins/rocs
%{_desktopdir}/org.kde.rocs.desktop
%{_datadir}/config.kcfg/rocs.kcfg
%{_iconsdir}/hicolor/128x128/apps/rocs.png
%{_iconsdir}/hicolor/16x16/apps/rocs.png
%{_iconsdir}/hicolor/22x22/apps/rocs.png
%{_iconsdir}/hicolor/32x32/apps/rocs.png
%{_iconsdir}/hicolor/48x48/apps/rocs.png
%{_iconsdir}/hicolor/64x64/apps/rocs.png
%{_iconsdir}/hicolor/scalable/actions/rocsadvancedsetup.svgz
%{_iconsdir}/hicolor/scalable/actions/rocsalignbottom.svgz
%{_iconsdir}/hicolor/scalable/actions/rocsaligncircle.svgz
%{_iconsdir}/hicolor/scalable/actions/rocsalignleft.svgz
%{_iconsdir}/hicolor/scalable/actions/rocsalignmiddle.svgz
%{_iconsdir}/hicolor/scalable/actions/rocsalignright.svgz
%{_iconsdir}/hicolor/scalable/actions/rocsaligntop.svgz
%{_iconsdir}/hicolor/scalable/actions/rocsaligntree.svgz
%{_iconsdir}/hicolor/scalable/actions/rocsalignvmiddle.svgz
%{_iconsdir}/hicolor/scalable/actions/rocsbidirectional.svgz
%{_iconsdir}/hicolor/scalable/actions/rocsdelete.svgz
%{_iconsdir}/hicolor/scalable/actions/rocsedge.svgz
%{_iconsdir}/hicolor/scalable/actions/rocsnode.svgz
%{_iconsdir}/hicolor/scalable/actions/rocsselect.svgz
%{_iconsdir}/hicolor/scalable/actions/rocsunidirectional.svgz
%{_iconsdir}/hicolor/scalable/actions/rocsvisible.svgz
%{_iconsdir}/hicolor/scalable/apps/rocs.svgz
%{_datadir}/kxmlgui5/rocs
%{_datadir}/metainfo/org.kde.rocs.appdata.xml
%{_datadir}/rocs

%files devel
%defattr(644,root,root,755)
%{_includedir}/rocs
%{_libdir}/librocsgraphtheory.so
%changelog
* Fri Dec 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-rocs.git;a=log;h=master

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 34ba950
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 63f4869
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> e02ad4e
- updated to 22.08.2

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b6a59be
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 1108179
- updated to 22.08.1

* Fri Aug 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 4d700f5
- updated to 22.08.0

* Thu Jul 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> ea3568e
- updated to 22.04.3

* Fri Jun 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5a9c702
- updated to 22.04.2

* Thu May 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 2a6873d
- updated to 22.04.1

* Fri Apr 22 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 16d02f8
- updated to 22.04.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> f2a2110
- bcond_with tests

* Fri Mar 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 48e824c
- updated to 21.12.3

* Thu Feb 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 3b8f7af
- updated to 21.12.2

* Fri Jan 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 70c6aa7
- updated to 21.12.1

* Fri Dec 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 39c2fe4
- updated to 21.12.0

* Fri Nov 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> e1d80a0
- updated to 21.08.3

* Fri Oct 08 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 929fc52
- updated to 21.08.2

* Sun Sep 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 67ac3bd
- updated to 21.08.1

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 68cb414
- updated to 21.08.0

* Fri Jul 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ad93c2e
- updated to 21.04.3

